#!/usr/bin/perl --

###############################################################################
# ImageShack_Converter.pl                                                     #
###############################################################################
# ImageShack Uploader                                                         #
# Adds an ImageShack Uploader to your post page                               #
# Version:        2.0a (YaBB 2.0/2.1)                                         #
# Released:       January 28, 2006                                            #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# Convert Variables From Older Versions of ImageShackUploader to the new      #
# versions of those variables.  This script should only be executed by	 		#
# people upgrading from versions earlier than 2.0a                            #
###############################################################################

push(@INC, "./Modules");

require "Paths.pl";
require "$sourcedir/Subs.pl";
require "$sourcedir/System.pl";
require "$sourcedir/Load.pl";
require "$sourcedir/DateTime.pl";
LoadLanguage("ImageShack");
&ConvertISVariables;
&output;
exit;

sub ConvertISVariables {
	fopen(FILE, "$vardir/ImageShack.txt");
		$thedata = <FILE>;
	fclose(FILE);
	($issize,$istxtcolor,$iswidth,$isheight,$is_on_off) = split (/\|/, $thedata);
	
	$output = qq~###############################################################################
# ImageShack.txt                                                              #
###############################################################################
# ImageShack Uploader                                                         #
# Variable Values For ImageShack                                              #
# Version:        2.0a (YaBB 2.0/2.1)                                         #
# Released:       January 23, 2006                                            #
# =========================================================================== #
# Written by Curtiss Grymala for the YaBB community                           #
###############################################################################
# ImageShack Uploader Variable Definitions                                    #
###############################################################################

\$issize = \'$issize\';
\$istxtcolor = \'$istxtcolor\';
\$iswidth = \'$iswidth\';
\$isheight = \'$isheight\';
\$is_on_off = \'$is_on_off\';

~;

$output .= q~
1;~;

	fopen(IS_SETTINGS, ">$vardir/ImageShack.txt");
	if(print IS_SETTINGS $output) {
		$convert_ok = 1;
	}
	fclose(IS_SETTINGS);

}

sub output {
	if($yySetCookies1 || $yySetCookies2) { print header(-status=>"200 OK", -cookie=>[$yySetCookies1, $yySetCookies2], -charset=>$yycharset); }
	else { print header(-status=>"200 OK", -charset=>$yycharset); }
	print qq~
	<!DOCTYPE html PUBLIC "-//W3C//DTD Xhtml 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
	<title>ImageShack Uploader Variable Conversion</title>
	<meta http-equiv="Content-Type" content="text/html; charset=$yycharset" />
	</head>
	<body style="font-family: verdana; font-size: 10px;">
	<table cellspacing="0" cellpadding="3" border="1" align="center" bordercolor="#000000" style="width:805px;">
		<tr><td style="color: #fff; background-color: #000; font-family: verdana, arial, sans-serif; font-size: 14px; font-weight: bold;">~;
	if($convert_ok == 1) {
	print qq~Conversion from old ImageShack Variables completed!
	<br /><span style="font-size: 11px; color: #f00; font-style: italic;">Please delete ImageShack_Covnerter.pl from your server now, in order to avoid overwriting your variable files again.~;
	}
	else {
		print qq~ERROR!
		<br /><span style="font-size: 12px; color: #fff; font-style: italic;">There was an error overwriting one or more of your variable files.  You will need to manually copy the code within the textareas below, and paste it into the appropriate variable file yourself.</span>
		<br /><span style="font-size: 11px; color: #f00;">The following file(s) generated errors:~;
		if($convert_ok ne 1) {
			print qq~<br />$vardir/ImageShack.txt~;
		}
		print qq~</span>~;
	}
	print qq~</td></tr>
	<tr><td style="color: #000; background-color: #fff; font-family: verdana, arial, sans-serif; font-size: 11px;">Your old variable file was succesfully overwritten with the following new files:</td></tr>
	<tr><td style="color: #000; background-color: #fff; font-family: courier, mono-space; font-size: 11px;">$vardir/ImageShack.txt:</td></tr>
	<tr><td><textarea cols="112" rows="20" style="width:800px; height:300px; font-family: courier, mono-space; font-size: 10px;">$output</textarea></td></tr>
	</table>
	</body>
	</html>~;
exit;
}

1;